# Get Users

User; Email, User ID, Assigned Role, Role ID, Name, Surname, IsActive Status.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

About

This endpoint returns information about a user identified by their user ID. You can use this endpoint to fetch user profile details, including email, user ID, assigned role, role ID, name, surname, and status for active users. It supports pagination and role-based filtering.

Example

  • List all users (with pagination)
curl -X GET "https://api.picussecurity.com/v1/users?offset=0&limit=25" \
  -H "Access-Token: YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json"
{
  "users": [
    {
      "email": "[email protected]",
      "user_id": 1001,
      "role": "Admin",
      "role_id": 2,
      "name": "John Doe",
      "surname": "Doe",
      "is_active": true
    },
    {
      "email": "[email protected]",
      "user_id": 1002,
      "role": "Viewer",
      "role_id": 4,
      "name": "Jane Smith",
      "surname": "Smith",
      "is_active": true
    }
  ],
  "pages": {
    "offset": 0,
    "limit": 25,
    "total_pages": 3,
    "total_count": 67
  }
}
  • List users with role filter
curl -X GET "https://api.picussecurity.com/v1/users?role=Admin&offset=0&limit=10" \
  -H "Access-Token: YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json"
{
  "users": [
    {
      "email": "[email protected]",
      "user_id": 1001,
      "role": "Admin",
      "role_id": 2,
      "name": "John Doe",
      "surname": "Doe",
      "is_active": true
    }
  ],
  "pages": {
    "offset": 0,
    "limit": 25,
    "total_pages": 1,
    "total_count": 15
  }
}

Query Params
int64
int64
string

Role

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json